View Issue Details

IDProjectCategoryView StatusLast Update
0001755Ham Radio DeluxeBugpublic2017-06-19 21:24
ReporterKB3NPH 
Assigned Touser36 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.8.323 
Summary0001755: DM-780 WinKey Issues: stops - drops macro ends
DescriptionTicket #955187

HRD Version 6.2.72.310 PROBLEMS most recent release.

DETAILS: I have been successfully using HRD Ver. 6.2.72.294 with a Digi Keyer for several months to send Macros in the HRD CW WinKey mode without problem. The macros consist of a combination of alpha numeric with control + <call sign> type strings. They would execute successfully from beginning to end. The Green Bar in the win-keyer box showing buffer status would never become full. The Green Bar generally showed an 80% (or so) level as the macro was sent then disappear upon completion. The START key would be restored upon completion.

 Once HRD Ver 6.2.72.310 was installed, upon selecting the CW(WinKey) Mode the Waterfall would stop (freeze up) for a period of time then eventually resume allowing access to the Run Key for WinKey. At that point, Transmission of a Macro using WinKey would run truncating characters after a certain number had been sent. It did not appear to recover after a truncation.

I repeated the process and observed the same events occurring again. I did not investigate further but changed back to Version 6.2.72.294. Proper operation was restored. This appears very much like a problem reported earlier in the year which the Buffer quit once full stopping the program.

I have the Win 7 64 Bit capability on the machine but notice that the installation program installed the software in the 32 Bit executable folder.
Additional InformationThis is larger than Winkey - see bug 1758.

-- Jason
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
Testing

Relationships

related to 0001758 closedW4PC DM-780 - Buffered text truncated when <STOP> is included 

Activities

user36

2015-01-06 19:31

  ~0000595

Appears to be resolved in build 322.

user36

2015-01-06 20:38

  ~0000607

Fixed in build 322.

Issue History

Date Modified Username Field Change
2014-12-02 12:47 KB3NPH New Issue
2014-12-10 19:26 user36 Relationship added related to 0001758
2014-12-10 19:28 user36 Summary WinKey Issues: stops - drops macro ends => Bug: DM-780 WinKey Issues: stops - drops macro ends
2014-12-10 19:28 user36 Additional Information Updated View Revisions
2014-12-13 22:52 WA9PIE Summary Bug: DM-780 WinKey Issues: stops - drops macro ends => Beta Bug: DM-780 WinKey Issues: stops - drops macro ends
2015-01-06 19:31 user36 Note Added: 0000595
2015-01-06 19:31 user36 Status new => resolved
2015-01-06 19:31 user36 Resolution open => fixed
2015-01-06 19:31 user36 Assigned To => user36
2015-01-06 20:38 user36 Note Added: 0000607
2015-01-06 20:38 user36 Status resolved => closed
2015-01-06 20:48 user36 Project @9@ => Ham Radio Deluxe
2015-09-30 12:01 WA9PIE Fix Build => (select)
2015-09-30 12:01 WA9PIE Module => (select)
2015-09-30 12:01 WA9PIE Release => (select)
2015-09-30 12:01 WA9PIE Proposed Release => TBD
2015-09-30 12:01 WA9PIE Summary Beta Bug: DM-780 WinKey Issues: stops - drops macro ends => DM-780 WinKey Issues: stops - drops macro ends
2015-09-30 13:14 WA9PIE Module (select) => DM780
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 21:24 WA9PIE Fixed in Version => 6.2.8.323
2017-06-19 21:24 WA9PIE Sub-Module => (select)